<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li class="current"><a href="functions.html#index__"><span>_</span></a></li>
      <li><a href="functions_0x61.html#index_a"><span>a</span></a></li>
      <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a class="anchor" id="index__"></a>- _ -</h3><ul>
<li>_actuatorSystems
: <a class="el" href="classHardwareManager.html#ad2e9b7bea37ea52086d53711c3cae8aa">HardwareManager</a>
</li>
<li>_axes
: <a class="el" href="classRobot.html#a4c8858bc161c836527fa919eae75c780">Robot</a>
</li>
<li>_channelType
: <a class="el" href="classSmarActActuatorAxis.html#a8985499bfb226e8eb408d42795a725d8">SmarActActuatorAxis</a>
</li>
<li>_controllers
: <a class="el" href="classHardwareManager.html#a8cff6ef57ee792a9301e97e097d25529">HardwareManager</a>
</li>
<li>_errorCount
: <a class="el" href="classSmarActActuatorSystem.html#af758d364c941727812c37557dfa92ba4">SmarActActuatorSystem</a>
</li>
<li>_experiment
: <a class="el" href="structProtocol.html#a2e08bdeab5b8999e9cb167a413a9da3d">Protocol</a>
</li>
<li>_fieldIdAssumedForceOffset
: <a class="el" href="classForceMeasurement.html#af6d8f00ce2a53ecabe334ca83dcddecc">ForceMeasurement</a>
</li>
<li>_fieldIdCrystalState0
: <a class="el" href="classSmarActActuatorSystem.html#ad6f77a597f774f7f6dcb79d9d35e96a0">SmarActActuatorSystem</a>
</li>
<li>_fieldIdCrystalState1
: <a class="el" href="classSmarActActuatorSystem.html#ad27804fe6f34353654c4e572ee68ee4c">SmarActActuatorSystem</a>
</li>
<li>_fieldIdCrystalState2
: <a class="el" href="classSmarActActuatorSystem.html#a87d5e9244324e71df6f620091c2b95d5">SmarActActuatorSystem</a>
</li>
<li>_fieldIdForce
: <a class="el" href="classForceMeasurement.html#ae1970046d2132b100e0bc6d49d6fbe41">ForceMeasurement</a>
</li>
<li>_fieldIDPositionMicrons
: <a class="el" href="classSmarActActuatorAxis.html#accb0d3f73ca74eae8671d0357befc1a3">SmarActActuatorAxis</a>
</li>
<li>_fieldIdPositionMicrons0
: <a class="el" href="classSmarActActuatorSystem.html#a550e17d182c59b61fe301e6d826c279c">SmarActActuatorSystem</a>
</li>
<li>_fieldIdPositionMicrons1
: <a class="el" href="classSmarActActuatorSystem.html#a2857292850b5b8d109f33f86027681c2">SmarActActuatorSystem</a>
</li>
<li>_fieldIdPositionMicrons2
: <a class="el" href="classSmarActActuatorSystem.html#a431f5e7de84f31600cb748a00986f16a">SmarActActuatorSystem</a>
</li>
<li>_fieldIdVoltage
: <a class="el" href="classForceMeasurement.html#a22f94f542c4e09bd968a621cfcde0e1e">ForceMeasurement</a>
</li>
<li>_fileManager
: <a class="el" href="classExperiment.html#a5dddf66033c1647de6887ae478616021">Experiment</a>
</li>
<li>_flip
: <a class="el" href="classActuatorAxis.html#af6dcef5df7963f49ed7adde1326f618c">ActuatorAxis</a>
</li>
<li>_forceMeasurement
: <a class="el" href="classRobot.html#a927240c8058a5bc527a81c6bd15a394a">Robot</a>
</li>
<li>_hardwareManager
: <a class="el" href="classExperiment.html#a5ff303d8500ff59b299949927ab28cf7">Experiment</a>
, <a class="el" href="classRobot.html#ac7b0162b6bb68b07d8b622c7aa4aff55">Robot</a>
</li>
<li>_isSensorMissing
: <a class="el" href="classSmarActActuatorAxis.html#a064d0c39d2c86f47b98971cd852e21db">SmarActActuatorAxis</a>
</li>
<li>_itsActuatorSystem
: <a class="el" href="classActuatorAxis.html#a6b6efecf3da0f3eeb32a4cd32479d995">ActuatorAxis</a>
</li>
<li>_localID
: <a class="el" href="classActuatorAxis.html#a05cfdb4b4d674731c01174526cf732c0">ActuatorAxis</a>
</li>
<li>_localSystemID
: <a class="el" href="classActuatorSystem.html#aedf147da71ec982792c48e11031e6f63">ActuatorSystem</a>
</li>
<li>_logger
: <a class="el" href="classStateManager.html#a63428d3ed0c198daaa0ec02abdca2a90">StateManager</a>
</li>
<li>_marginMicrons
: <a class="el" href="classSmarActActuatorAxis.html#aefaf412450d190aa93f35011622f46b2">SmarActActuatorAxis</a>
</li>
<li>_name
: <a class="el" href="classActuatorAxis.html#ade9139dcc1beec6a53850fd2025a4bb6">ActuatorAxis</a>
</li>
<li>_result
: <a class="el" href="classSmarActCommand.html#ac66b03ef6a7b24b8edceb5ff89fbce16">SmarActCommand</a>
</li>
<li>_robot
: <a class="el" href="classForceMeasurement.html#a069f2d934ce8cbe22d17a41deddd8564">ForceMeasurement</a>
, <a class="el" href="classExperiment.html#a40ca4ea7a8abb75c6108ab186b12ba31">Experiment</a>
</li>
<li>_sensorType
: <a class="el" href="classSmarActActuatorAxis.html#abee08c3ea17bdd4e7ee139dfe7801495">SmarActActuatorAxis</a>
</li>
<li>_state
: <a class="el" href="classStateManager.html#a2effa13298c24b4f0cdbd2f2804a58b9">StateManager</a>
</li>
<li>_stateManager
: <a class="el" href="classDataLogger.html#acf5bd5c915047d0ea56139af8e9af491">DataLogger</a>
, <a class="el" href="classHardwareManager.html#a7622793077744782e634c1525600a35d">HardwareManager</a>
, <a class="el" href="classExperiment.html#a6bd067df8c3101694f7ea7dc5b627ec4">Experiment</a>
, <a class="el" href="classActuatorAxis.html#aff589b293bba5593dd00a11c08c99eeb">ActuatorAxis</a>
, <a class="el" href="classRobot.html#ae14c5e0f4233f5f5340ee8f3664ac364">Robot</a>
</li>
<li>_status
: <a class="el" href="classSmarActResult.html#a9d38d21e267b70a39d2d147ff0c41dd2">SmarActResult</a>
, <a class="el" href="classSmarActAxisStatus.html#a0600a9e628902b1c7cf4be9ffcaed4f2">SmarActAxisStatus</a>
</li>
<li>_systemID
: <a class="el" href="classActuatorSystem.html#afeaffec9c8ee395477198ac9f3c4d03e">ActuatorSystem</a>
</li>
<li>_timeoutMs
: <a class="el" href="classSmarActActuatorAxis.html#ad9c507953fe8dbe152b1181752a668b4">SmarActActuatorAxis</a>
</li>
<li>_timer
: <a class="el" href="classExperiment.html#aea02f08fda51ead05d12b59f9b08faa8">Experiment</a>
</li>
<li>_value
: <a class="el" href="classSmarActResult.html#acd384750b0f4238bbf9ebde5d9ed4b53">SmarActResult</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
